Subject: Re: DLL's for use with other languages..
From: [email-masked] (Gunther Ebert)

12 Jun 1997 14:00:15 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 2.01Gold (WinNT; I)
Original-To: J Russell Smyth <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Hi,

the problem might be that you haven't declared your dll functions
as _stdcall (using the WINAPI or STDCALL macro).

If the prototypes of your dll functions look like

int foo();

they have to be changed to

int WINAPI foo();

Note that you have to #include <windows.h> to use 
the WINAPI macro.

Hope this helps,
Gunther

J Russell Smyth wrote:
> 
> Hello all..
> 
>   I am new to GNU-WIN32 and to windows C/C++ programming in general,
> though fairly competent C programmer in DOS/UNIX. What I want to know is
> can GNU-WIN32 or cygwin32 create dll's that can be used by Visual Basic?
> I have tried some small dll's and tested with C drivers which works ok,
> but when I try to use with VisBasic I get one of several errors..
> 
>    unable to find function in dll
>    invalid call (help makes ref to pascal calling convention)
> 
> I have tried using cygwin32, mingw32, and also lcc.. all pass the C
> driver test, but all fail the VB test
> 
> any help would be appreciated..
> 
>    Russ Smyth
>    [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 

Gunther Ebert
iXOS Anwendungs-Software GmbH
Angerstrasse 40-42
D-04177 Leipzig

Phone : +49 341 48503-0
Fax   : +49 341 48503-99
E-mail: mailto:[email-masked]
www   : http://www.ixos-leipzig.de
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".